6.0.0-git
2021-01-24

[#9659] Sidebar entries don't stay collapsed
Summary Sidebar entries don't stay collapsed
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2011-03-13 (3605 days ago)
Due
Updated 2011-03-15 (3603 days ago)
Assigned 2011-03-14 (3604 days ago)
Resolved 2011-03-15 (3603 days ago)
Milestone 4
Patch No

History
2011-03-15 05:22:57 Michael Slusarz State ⇒ Resolved
 
2011-03-15 05:22:49 Git Commit Comment #4 Reply to this comment
Changes have been made in Git for this ticket:

Bug #9659: Second crack at fixing sidebar expansion

  1 files changed, 9 insertions(+), 2 deletions(-)
http://git.horde.org/horde-git/-/commit/7d5b2876206ad65e58828f6745ff8c4036a4a635
2011-03-14 22:52:15 Michael Rubinsky Comment #3
State ⇒ Assigned
Reply to this comment
Now the tree is *always* closed...
2011-03-14 06:41:22 Michael Slusarz State ⇒ Resolved
 
2011-03-14 06:41:01 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Bug #9659: Fix clearing expanded state for javascript trees

  3 files changed, 12 insertions(+), 4 deletions(-)
http://git.horde.org/horde-git/-/commit/81ef040c29fd233d1ccb83d29a2b142c4e7380eb
2011-03-13 17:55:28 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 2. Medium
Summary ⇒ Sidebar entries don't stay collapsed
Queue ⇒ Horde Framework Packages
Assigned to Michael Slusarz
Milestone ⇒ 4
Patch ⇒ No
Reply to this comment
You can't collapse sidebar menu entries without them being expanded 
again after the next request. This is because in 
Horde_Core_Tree_Javascript the expansion state in the session is only 
set, but never unset. Collapsed entries don't show up in the cookie 
sent, so they won't be covered in the loop.

Saved Queries